import 'dart:developer';

import 'package:feelverapp/model/base/Login/login_model.dart';
import 'package:feelverapp/service/Alert.dart';
import 'package:feelverapp/service/api.dart';
import 'package:feelverapp/service/base_presenter.dart';
import 'package:feelverapp/ui/login/login.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';



class LoginPresenter extends BasePresenter<LoginPage> {
  Api _api;

  final formKey = GlobalKey<FormState>();
  TextEditingController emailCtrl = TextEditingController();
  TextEditingController passCtrl = TextEditingController();





  LoginPresenter(State<LoginPage> state) : super(state);

  onSignIn() async {
    if (formKey.currentState.validate()) {
      await letSignIn();
    }
  }

  

  letSignIn() async {
 
    _api = Api<LoginModel>();

    var res = await _api.login({
      "access_type":"portal",
      "access_status":"customer",
      "email": "api@feelver.com",
      'password': "\$J3M{GfzNW7EhwxP",
    });



    if (res.fail == null) {
      LoginModel model = res.success;
     // print("Username ="+"${model.user}");
      print("Token ="+"${model.token}");
          } else {
      Alert(
        context: state.context,
        message:'email_or_password_invalid'
      );
    }
  }


  // facebookLogin() async {
  //   try {
  //     await _facebookLogin.logIn(['email']).then((result) async {
  //       var fbData = await Api().getFacebookInfo(result.accessToken.token);
  //       print(fbData);

  //       await _letSocialSignIn(result.accessToken.userId, 'facebook')
  //           .then((value) {
  //         if (value) {
  //           Navigator.popUntil(state.context, (route) => route.isFirst);
  //           Navigator.pushReplacement(state.context, CupertinoPageRoute(builder: (_) => 
              
  //     NavigatorPage(),
  //           ));
  //         } else {
  //           Navigator.push(
  //               state.context,
  //               CupertinoPageRoute(
  //                   builder: (_) => SignUpEmail(
  //                         socialType: SocialType.facebook,
  //                         socialData: new RegisterSocialDataModel(
  //                           socialId: result.accessToken.userId,
  //                           token: result.accessToken.token,
  //                           email: fbData['email'],
  //                           firstName: fbData['first_name'],
  //                           lastName: fbData['last_name'],
  //                         ),
  //                       )));
  //         }
  //       });
  //     });
  //   } catch (e) {
  //     print(e);
  //   }
  // }

 
}
